<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.admin.StationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.admin.Station">
        <id column="id" property="id" />
        <result column="company_id" property="companyId" />
        <result column="group_id" property="groupId" />
        <result column="station_id" property="stationId" />
        <result column="operator_id" property="operatorId" />
        <result column="equipment_owner_id" property="equipmentOwnerId" />
        <result column="station_name" property="stationName" />
        <result column="country_code" property="countryCode" />
        <result column="area_code" property="areaCode" />
        <result column="picture" property="picture" typeHandler="com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler"/>
        <result column="address" property="address" />
        <result column="station_tel" property="stationTel" />
        <result column="service_tel" property="serviceTel" />
        <result column="station_type" property="stationType" />
        <result column="station_status" property="stationStatus" />
        <result column="parking_num" property="parkingNum" />
        <result column="location" property="location" typeHandler="com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler"/>
        <result column="site_guide" property="siteGuide" />
        <result column="construction" property="construction" />
        <result column="pictures" property="pictures" />
        <result column="match_cars" property="matchCars" />
        <result column="park_info" property="parkInfo" />
        <result column="business_hours" property="businessHours" />
        <result column="electricity_fee" property="electricityFee" />
        <result column="service_fee" property="serviceFee" />
        <result column="park_fee" property="parkFee" />
        <result column="payment" property="payment" />
        <result column="support_order" property="supportOrder" />
        <result column="remark" property="remark" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, company_id, group_id, station_id, operator_id, equipment_owner_id, station_name, country_code, area_code, picture,address, station_tel, service_tel, station_type, station_status, parking_num, location, site_guide, construction, pictures, match_cars, park_info, business_hours, electricity_fee, service_fee, park_fee, payment, support_order, remark, create_time, update_time
    </sql>

</mapper>
